%define	version 0.62
%define name ktelnet
%define release 8mdk


Name: %{name}
Summary: Ktelnet
Summary(fr): Ktelnet
Version: %{version}
Release: %{release}
Source: ktelnet-%{version}.tar.bz2
Source1: ktelnet_menuentry
Group: Networking/Remote access
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt >= 1.40 qt-egcs-10x mandrake-release >= 5.2 libstdc++ >= 2.8.0 

%description
KTelnet is a secure telnet program for KDE.
Telnet enable to use another host ressources.

%description -l fr
KTelnet set un telnet scuris pour KDE. Telnet est un protocole permettant
d'utiliser  distance une machine tout en redirigeant son affichage sur la
machine locale.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export QTDIR=%{_libdir}/qt
export KDEDIR=%{_libdir}/kde1-compat

%configure --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
make KDEDIR=$KDEDIR

%install
make bindir=$RPM_BUILD_ROOT/%{_bindir} kde_bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_htmldir=$RPM_BUILD_ROOT/%{_datadir}/doc/kde1/HTML \
kde_icondir=$RPM_BUILD_ROOT/%{_datadir}/icons \
kde_locale=$RPM_BUILD_ROOT/%{_datadir}/locale \
kde_mimedir=$RPM_BUILD_ROOT/%{_datadir}/mimelnk \
kde_minidir=$RPM_BUILD_ROOT/%{_datadir}/icons/mini install



%makeinstall
#correct the 'zh' localisation
if [ -e $RPM_BUILD_ROOT/usr/share/locale/zh ]; then
 mv  $RPM_BUILD_ROOT/usr/share/locale/zh $RPM_BUILD_ROOT/usr/share/locale/zh_CN
fi


# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/ktelnet

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus} 

%postun
%{clean_menus}  


%files 
%defattr(-,root,root,755)
%{_bindir}/*
%{_libdir}/menu/ktelnet
%config(noreplace) /usr/lib/kde1-compat/share/config/ktelnetrc
/usr/lib/kde1-compat/share/apps/ktelnet
/usr/lib/kde1-compat/share/applnk/Internet/ktelnet.kdelnk
%{_datadir}/icons/ktelnet.xpm
%{_datadir}/icons/mini/ktelnet.xpm
#/usr/share/locale/*/*/*
%{_datadir}/doc/kde1/HTML/*/ktelnet


%changelog
* Fri Oct  6 2000 Etienne Faure  <etienne@mandraksoft.com> 0.62-8mdk
- removed internationnalisation

* Wed Sep 13 2000 Etienne Faure  <etienne@mandraksoft.com> 0.62-7mdk
- rebuilt with new lib path
- macros
- fixed the 'zh' locale

* Mon Jul 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.62-6mdk
- up to version 0.62
- clean spec file

* Wed Mar 29 2000 Francis Galiegue <fg@mandrakesoft.com> 0.61-6mdk

- Don't use prefix
- Don't use autogenerated file list
- Menu entry
- Changed group

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description
- enlarge english description

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.
